---
title: RTCDtlsTransport.state
slug: Web/API/RTCDtlsTransport/state
tags:
  - API
  - Property
  - RTCDtlsTransport
  - RTCDtlsTransportState
  - Read-only
  - Reference
  - WebRTC
  - state
---
<p>{{DefaultAPISidebar("WebRTC")}}</p>

<p>The <strong><code>state</code></strong> read-only property of the {{DOMxRef("RTCDtlsTransport")}} interface provides information which describes a Datagram Transport Layer Security (<strong>{{Glossary("DTLS")}}</strong>) transport state.</p>

<h2 class="syntaxbox" id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">let <var>myState</var> = <var>dtlsTransport</var>.state;</pre>

<h3 id="Value">Value</h3>

<p>A string whose value is taken from the <code>RTCDtlsTransportState</code> enumerated type. Its value is one of the following:</p>

<dl>
 <dt><code>new</code></dt>
 <dd>The initial state when DTLS has not started negotiating yet.</dd>
 <dt><code>connecting</code></dt>
 <dd>DTLS is in the process of negotiating a secure connection and verifying the remote fingerprint.</dd>
 <dt><code>connected</code></dt>
 <dd>DTLS has completed negotiation of a secure connection and verified the remote fingerprint.</dd>
 <dt><code>closed</code></dt>
 <dd>The transport has been closed intentionally as the result of receipt of a <code>close_notify</code> alert, or calling {{DOMxRef("RTCPeerConnection.close()")}}.</dd>
 <dt><code>failed</code></dt>
 <dd>The transport has failed as the result of an error (such as receipt of an error alert or failure to validate the remote fingerprint).</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>{{page("/en-US/docs/Web/API/RTCDtlsTransport", "Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("WebRTC 1.0", "#dom-rtcdtlstransport-state", "RTCDtlsTransport.state")}}</td>
   <td>{{Spec2("WebRTC 1.0")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCDtlsTransport.state")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebRTC_API">WebRTC API</a></li>
 <li>{{DOMxRef("RTCDtlsTransport")}}</li>
</ul>
